## visad.paoloa
Class Nasti

    java.lang.Object
      visad.paoloa.Nasti

public class Nasti
extends Object

Nested Class Summary
`(package private) class` `Nasti.ChannelImage` this make an image of one NAST-I channel, with a JTextField for channel selection, a LabeledColorWidget for pixel colors and a spectrum display

Field Summary
`(package private) RealType` `atmosphericRadiance`
`(package private) RealTupleType` `image_domain`
`(package private) RealType` `image_element`
`(package private) RealType` `image_line`
`(package private) Linear2DSet` `image_set`
`(package private) FunctionType` `image_type`
`(package private) boolean` `java2d`
`(package private) Field` `nasti`
`(package private) int` `nelements`
`(package private) int` `nlines`
`(package private) int` `ntimes`
`(package private) FunctionType` `red_bar_type`
`(package private) int[][]` `sample_to_time`
`(package private) int` `spectrum_index`
`(package private) RealType` `time`
`(package private) int[]` `time_to_sample`
`(package private) float` `wnum_hi`
`(package private) float` `wnum_low`
`(package private) RealType` `wnum1`

Constructor Summary
`Nasti(String filename)`

Method Summary
`static void` `main(String[] args)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### ntimes

    int ntimes

### nlines

    int nlines

### nelements

    int nelements

### time_to_sample

    int[] time_to_sample

### sample_to_time

    int[][] sample_to_time

### nasti

    Field nasti

### spectrum_index

    int spectrum_index

### java2d

    boolean java2d

### time

    RealType time

### wnum1

    RealType wnum1

### atmosphericRadiance

    RealType atmosphericRadiance

### image_line

    RealType image_line

### image_element

    RealType image_element

### wnum_low

    float wnum_low

### wnum_hi

    float wnum_hi

### image_set

    Linear2DSet image_set

### image_domain

    RealTupleType image_domain

### image_type

    FunctionType image_type

### red_bar_type

    FunctionType red_bar_type

Constructor Detail

### Nasti

    public Nasti(String filename)
          throws VisADException,
                 RemoteException,
                 IOException

Method Detail

### main

    public static void main(String[] args)
                     throws VisADException,
                            RemoteException,
                            IOException

  Throws:
    `VisADException`
    `RemoteException`
    `IOException`